#include<bits/stdc++.h>
using namespace std;
int main()
{
    char a, b;
    long long a1, b1, k;
    cin>>a1>>a>>b1>>b>>k;
    long long p=k-b;
    if(a=='A')
    {
        if(k>=a)
        {
            cout<<a<<endl;
        }
        else if(k<a)
        {
            cout<<k<<endl;
        }
    }
    else if(a=='B')
    {
        if(k>b)
           {
               if(p>=a)
               {
                   cout<<a<<endl;
               }
               else
               {
                   cout<<p<<endl;
               }
           }
           
               
           
        else
        {
            cout<<0<<endl;
        }
    }






    return 0;
}
